Name: cube3d
Version: 2005.08.29
Release: alt1

Summary: First person shooter game
License: Zlib license
Group: Games/Arcade

URL: http://www.cubeengine.com/
Source0: cube_2005_08_29_src.zip
Source1: cube3d.sh
Patch0: cube3d-2005-alt-gcc34.patch

Requires: cube3d-data >= 2005

# Added by buildreq2 on Wed Apr 26 2006
BuildRequires: gcc-c++ libSDL-devel libSDL_image-devel libSDL_mixer-devel unzip xorg-x11-devel zlib-devel

%description
Cube is an open source multiplayer and singleplayer first person shooter
game built on an entirely new and very unconventional engine. Cube is a
landscape-style engine that pretends to be an indoor FPS engine, which
combines very high precision dynamic occlusion culling with a form of
geometric mipmapping on the whole world for dynamic LOD for configurable
fps & graphic detail on most machines. Uses OpenGL & SDL. 

%prep
%setup -q -n cube_source
%__rm -rfv lib
find -type f -print0 |xargs -r0 subst -p $'s/\r//g'
%patch0 -p1

%build
cd ./enet
%__chmod +x configure
%configure
%make_build

cd ../src
%make_build CXXOPTFLAGS="%optflags -fsigned-char" CXX='g++ -L%_x11libdir'

%install
%__install -pD -m755 src/cube_client %buildroot%_gamesbindir/cube_client
%__install -pD -m755 src/cube_server %buildroot%_gamesbindir/cube_server
%__install -pD -m755 %SOURCE1 %buildroot%_gamesbindir/cube3d

%__mkdir_p %buildroot%_menudir
cat >%buildroot%_menudir/%name <<EOF
?package(%name): \
	needs="x11" section="Games/Arcade" \
	title="The Cube shooter game" \
	command="%_gamesbindir/cube3d"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%define _customdocdir %_docdir/cube3d
%doc readme.txt
%_gamesbindir/cube_client
%_gamesbindir/cube_server
%_gamesbindir/cube3d
%_menudir/%name

%changelog
* Wed Apr 26 2006 Alexey Tourbin <at@altlinux.ru> 2005.08.29-alt1
- pick up from orphaned
- new snapshot
- data pack now packaged separately

* Mon Jan 12 2004 Alexander Nekrasov <canis@altlinux.ru> 2003.12.23-alt2
- changelog is corrected
- cretion of a directory demos is added

* Thu Jan 09 2004 Alexander Nekrasov <canis@altlinux.ru> 2003.12.23-alt1
- new version
- building of cube3d server is added

* Fri Oct 17 2003 Alexander Nekrasov <canis@altlinux.ru> 2002.10.20-alt4
- the binary files are built from the source code

* Thu Oct 16 2003 Alexander Nekrasov <canis@altlinux.ru> 2002.10.20-alt3
- the problems with a system of the user's configurations are corrected

* Thu Oct 09 2003 Alexander Nekrasov <canis@altlinux.ru> 2002.10.20-alt2
- the system of the user's configurations, is built

* Tue Oct 07 2003 Alexander Nekrasov <canis@altlinux.ru> 2.10.20-alt1
- first build
